
/*  -*- MaTX -*-
 *
 *  【名前】
 *      ONE() - 1 で満たされた行列
 *
 *  【形式】
 *      Y = ONE(n)
 *         Matrix Y;
 *         Integer n;
 *
 *      Y = ONE(m,n)
 *         Matrix Y;
 *         Integer m,n;
 *
 *      Y = ONE(X)
 *         Matrix Y;
 *         Integer X;
 *
 *      Y = ONE(m,n,X)
 *         Matrix Y;
 *         Integer m,n;
 *         Matrix X;
 *
 *  【機能説明】
 *      整数 n について，ONE(n)は n * n の 1 で満たされた行列を返す。
 *      ONE(m,n) は，m * n の 1 で満たされた行列を返す。X が行列のとき，
 *      ONE(X) は，X と同じ大きさの 1 で満たされた行列を返す。ONE(m,n,X)
 *      は，大きさが m*Rows(X) * n*Cols(X)の 1 で満たされた行列を返す。
 *
 *  【例題】
 *      >> Y = ONE(2)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  1.00000000E+00
 *      (  2)  1.00000000E+00  1.00000000E+00
 *      >> Y = ONE(2,3)
 *      === [Y] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  1.00000000E+00  1.00000000E+00
 *      (  2)  1.00000000E+00  1.00000000E+00  1.00000000E+00
 *
 *  【関連項目】
 *      Z(), I()
 */
