
/*  -*- MaTX -*-
 *
 *  【名前】
 *      OdeXY() - 常微分方程式の過去の状態と外部信号
 *
 *  【形式】
 *      {X,U} = OdeXY(t)
 *         Matrix X,U;
 *         Real t;
 *
 *  【機能説明】
 *      OdeXY(t)は，常微分方程式を解く関数が既に計算した過去(時刻 t)
 *      の状態 X と外部信号 U を返す。
 *
 *      むだ時間を含むシステムのシミュレーションに利用できる。
 *
 *  【アルゴリズム】
 *      実際に計算されたデータのうち，時刻 t に近いデータから線形補間
 *      で求める。
 *
 *  【例題】
 *      ユーザーズマニュアル参照。
 *
 *  【関連項目】
 *      Ode(), Ode45(), OdeAuto(), Ode45Auto()
 */
