
/*  -*- MaTX -*-
 *
 *  【名前】
 *      Re() - 実部
 *
 *  【形式】
 *      y = Re(x)
 *         (Real   |Polynomial  |Rational  ) y;
 *         (Complex|CoPolynomial|CoRational) x;
 *
 *      Y = Re(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      Re(x)は，(複素数|複素多項式|複素有理多項式) x の実部を取り出す。
 *
 *      X が(行列|配列)のとき，成分毎に Re(X(i,j)) を作用させた結果から
 *      なる(行列|配列)を求める。
 *
 *  【例題】
 *      >> x = (3,4);
 *      >> y = Re(x)
 *      y = 3
 *      >> X = ([[1 2][3 4]], [[5 6][7 8]]);
 *      >> Y = Re(X)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  2.00000000E+00
 *      (  2)  3.00000000E+00  4.00000000E+00
 *
 *  【関連項目】
 *      Im()
 */
