
/*  -*- MaTX -*-
 *
 *  【名前】
 *      Z() - 零行列
 *
 *  【形式】
 *      Y = Z(n)
 *         Matrix Y;
 *         Integer n;
 *
 *      Y = Z(m,n)
 *         Matrix Y;
 *         Integer m,n;
 *
 *      Y = Z(X)
 *         Matrix Y;
 *         Integer X;
 *
 *      Y = Z(m,n,X)
 *         Matrix Y;
 *         Integer m,n;
 *         Matrix X;
 *
 *  【機能説明】
 *      整数 n について，Z(n)は n * n の零行列を返す。Z(m,n) は，m * n 
 *      の零行列を返す。X が行列のとき，Z(X) は，X と同じ大きさの零行列を
 *      返す。Z(m,n,X) は，大きさが m*Rows(X) * n*Cols(X)の零行列を返す。
 *
 *  【例題】
 *      >> Y = Z(2)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  0.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  0.00000000E+00
 *      >> Y = Z(2,3)
 *      === [Y] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  0.00000000E+00  0.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  0.00000000E+00  0.00000000E+00
 *
 *  【関連項目】
 *      I(), ONE()
 */
