
/*  -*- MaTX -*-
 *
 *  【名前】
 *      abs() - 絶対値または文字列のASCIIコードへの変換
 *
 *  【形式】
 *      y = abs(x)
 *         (Integer|Real|Real) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = abs(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      y = abs(s)
 *         Matrix y;
 *         String s;
 *
 *  【機能説明】
 *      abs(x)は，スカラ型(整数, 実数, 複素数) x の絶対値を求める。
 *	    abs(X)は，行列型(行列, 配列, 指数) X の各成分の絶対値を求める。
 *      abs(s)は，文字列 s を各文字を ASCII コードにしたベクトルに変換する。
 *
 *  【例題】
 *      >> y = abs(-5)
 *      y = 5
 *      >> y = abs(-3.14)
 *      y = 3.14
 *      >> y = abs((3,4))
 *      y = 5
 *      >> Y = abs([1, -2, -3,14])
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  1.000000E+00  2.000000E+00  3.000000E+00  1.400000E+01
 *      >> Y = abs("abc")
 *      === [Y] : (  1,  3) ===
 *                 (  1)         (  2)         (  3)     
 *      (  1)  9.700000E+01  9.800000E+01  9.900000E+01
 *
 *  【関連項目】
 *      Matrix()
 */
