
/*  -*- MaTX -*-
 *
 *  【名前】
 *      arg() - 複素数の偏角
 *
 *  【形式】
 *      p = arg(z)
 *         Real p;
 *         Complex z;
 *
 *      P = arg(X)
 *         (Matrix|Array) P;
 *         (CoMatrix|CoArray) X;
 *
 *  【機能説明】
 *      arg(z)は複素数 z の偏角をラジアンで求める。偏角の範囲は
 *      -PI から PI である。
 *	    arg(X)は，複素(行列|配列) X の各成分の偏角からなる(行列|配列) P 
 *      を求める。P の大きさは X の大きさと同じ。
 *
 *      複素数 z = (x,y) = r*exp(i*theta)の大きさと偏角は次の式
 *      で与えられる。
 *
 *         r = abs(z)
 *         theta = arg(z)
 *
 *  【アルゴリズム】
 *      arg は次のように表せる。
 *
 *      arg(z) = Im(log(z)) = atan2(Im(z), Re(z))
 *
 *  【例題】
 *      >> p = arg((1,1))
 *      p = 0.785398
 *
 *  【関連項目】
 *      atan2()
 */
