
/*  -*- MaTX -*-
 *
 *  【名前】
 *      bit_xor() - ビット毎の排他的 OR
 *
 *  【形式】
 *      k = bit_xor(i,j)
 *         Integer k;
 *         Integer i,j;
 *
 *      P = bit_xor(X,Y)
 *         (Array|Index) P;
 *         (Array|Index) X,Y;
 *
 *  【機能説明】
 *      bit_xor(i,j) は整数 i と j のビット毎の排他的 OR を求める。
 *	    bit_xor(X,Y)は，(配列|指数) X と Y の各成分のビット毎の排他的 OR 
 *      からなる(配列|指数) P を求める。P の大きさは X の大きさと同じになる。
 *
 *  【例題】
 *      >> k = bit_xor(0xff, 0xee)
 *      k = 17 (= 0x11)
 *
 *  【関連項目】
 *      bit_and(), bit_or()
 */
