
/*  -*- MaTX -*-
 *
 *  【名前】
 *      det() - 行列式
 *
 *  【形式】
 *      x = det(X)           x = det(X)
 *         Real x;              Complex x;
 *         Matrix X;            CoMatrix X;
 *
 *      x = det(X)           x = det(X)
 *         Polynomial x;        Rational x;
 *         PoMatrix X;          RaMatrix X;
 *
 *  【機能説明】
 *      det(X)は，正方行列 X の行列式を計算する。X が複素行列のとき
 *      det(X) は複素数，X が多項式行列のとき，det(X) は多項式，
 *      X が有理多項式のとき，det(X) は有理多項式になる。
 *
 *  【アルゴリズム】
 *      並べ替え付き LU 分解で求めた三角ブロック因子で計算される。
 *
 *  【例題】
 *      >> x = det([[1 2][3 4]])
 *      x = -2
 *      >> x = det([[(1,2), (3,4)][(5,6), (7,8)]])
 *      x = (0.0, 0.0)
 *      >> s = Polynomial("s");
 *      >> A = [[1 2][3 4]];
 *      >> x = det(s*I(A) - A)
 *      x = s^2 - 5s - 2
 *
 *  【関連項目】
 *      lu(), inv()
 */
