
/*  -*- MaTX -*-
 *
 *  【名前】
 *      eigval() - 固有値
 *
 *  【形式】
 *      V = eigval(A)
 *         CoMatrix V;
 *         Matrix A;
 *
 *      V = eigval(A,B)
 *         CoMatrix V;
 *         Matrix A,B;
 *
 *  【機能説明】
 *      V = eigval(A)は，正方行列 A の固有値からなる列ベクトルを返す。
 *      固有値は，実部の降順に並べられる。
 *
 *      V = eigval(A,B)は，正方行列 A と B の一般化された固有値からなる
 *      列ベクトルを返す。固有値は，実部の降順に並べられる。
 *
 *  【注意】
 *      繰り返し計算で固有値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> V = eigval([[1 2][3 4]])
 *      === [V] : (  2,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1)  5.37228132E+00  0.00000000E+00
 *      (  2) -3.72281323E-01  0.00000000E+00
 *
 *  【関連項目】
 *      eig()
 */
