
/*  -*- MaTX -*-
 *
 *  【名前】
 *      find() - 非ゼロ成分の指数
 *
 *  【形式】
 *      idx = find(X)
 *         Index idx;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      idx = find(X)は，ベクトル X の非ゼロ成分の番号からなる指数 idx
 *      を返す。非ゼロ成分がなければ，空行列を返す。X が行列なら，
 *      find(X) は，X の行を連結した長い行として扱う。
 *
 *  【例題】
 *      ベクトルに対していくつかの演算を行う。
 *
 *      >> x = [22 0 20 0 33];
 *      >> idx = find(x)
 *      === [idx] : (  1,  3) ===
 *                (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  3.00000000E+00  5.00000000E+00
 *      >> idx = find(x .== 0)
 *      === [idx] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  2.00000000E+00  4.00000000E+00
 *      >> idx = find(0 .< x && x .< 30)
 *      === [idx] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  3.00000000E+00
 *
 *  【関連項目】
 *      sort()
 */
