
/*  -*- MaTX -*-
 *
 *  【名前】
 *      frobnorm_col() - 列毎のフロベニウスノルム
 *
 *  【形式】
 *      Y = frobnorm_col(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      frobnorm_col(X)は，列毎にフロベニウスノルムを求め，行ベク
 *      トルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，frobnorm_col(X) は
 *      全ての成分のフロベニウスノルムを求める。
 *
 *  【例題】
 *      >> Y = frobnorm_col([[1 2 3][4 5 6]])
 *      === [Y] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  4.12310563E+00  5.38516481E+00  6.70820393E+00
 *      >> Y = frobnorm_col([1 2 3])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  3.74165739E+00
 *
 *  【関連項目】
 *      frobnorm(), frobnorm_col()
 */
