
/*  -*- MaTX -*-
 *
 *  【名前】
 *      if - 条件分岐
 *
 *  【形式】
 *      if (expr) {
 *         statements;
 *      }
 *      (Integer|Real) expr;
 *
 *  【機能説明】
 *      C 言語と異なり大括弧 { と } を省略できない。論理式 expr が
 *      真( 0 でない)なら，ブロック文は実行され，偽( 0 )ならブロック文
 *      はスキップされる。if 文は，次のように複数個入れ子にできる。
 *      if (expr1) {
 *          statement1;
 *          if (expr2) {
 *              statement2;
 *          }
 *          statement3;
 *      }
 *
 *  【例題】
 *      対角成分にその行番号と列番号の和を代入する。
 *      A = Z(4);
 *      for (i = 1; i <= Cols(A); i++) {
 *          for (j = 1; j <= Rows(A); j++) {
 *              if (i == j) {
 *                  A(i,j) = i + i;
 *              }
 *          }
 *      }
 *
 *  【関連項目】
 *      else, switch
 */
