
/*  -*- MaTX -*-
 *
 *  【名前】
 *      isfinite() - 有限の判定
 *
 *  【形式】
 *      k = isfinite(x)
 *         Integer k;
 *         (Real|Complex) x;
 *
 *      Y = isfinite(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      isfinite(x)は，(実数|複素数) x について，値が有限のとき 1，
 *      +Inf あるいは -Inf あるいは NaN のとき 0 を返す。
 *
 *	    isfinite(X)は，(行列|配列) X の各成分に isfinite(X(i,j)) を作用した
 *      結果からなる(行列|配列) を求める。Y の大きさは X の大きさと
 *      同じになる。
 *
 *  【例題】
 *      >> k = isfinite(0.5)
 *      k = 1
 *      >> k = isfinite(NaN)
 *      k = 0
 *      >> k = isfinite(Inf)
 *      k = 0
 *      >> Y = isfinite([1, Inf, NaN, -4])
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  1.000000E+00  0.000000E+00  0.000000E+00  1.000000E+00
 *
 *  【関連項目】
 *      isnan(), isinf()
 */
