
/*  -*- MaTX -*-
 *
 *  【名前】
 *      isnan() - NaN の判定
 *
 *  【形式】
 *      y = isnan(x)
 *         Integer k;
 *         (Real|Complex) x;
 *
 *      Y = isnan(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      isnan(x)は，(実数|複素数) x について，値が NaN のとき 1，
 *      有限あるいは +Inf あるいは -Inf のとき 0 を返す。
 *
 *	    isnan(X)は，(行列|配列) X の各成分に isnan(X(i,j)) を作用した
 *      結果からなる(行列|配列) を求める。Y の大きさは X の大きさと
 *      同じになる。
 *
 *  【例題】
 *      >> k = isnan(0.5)
 *      k = 0
 *      >> k = isnan(NaN)
 *      k = 1
 *      >> k = isnan(Inf)
 *      k = 0
 *      >> Y = isnan([1, Inf, NaN, -4])
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  0.000000E+00  0.000000E+00  1.000000E+00  0.000000E+00
 *
 *  【関連項目】
 *      isinf(), isfinite()
 */
