
/*  -*- MaTX -*-
 *
 *  【名前】
 *      length() - 長さ
 *
 *  【形式】
 *      m = length(X)
 *         Integer m;
 *         (Matrix|Array|Index) X;
 *
 *      m = length(str)
 *         Integer m;
 *         String str;
 *
 *      m = length(L)
 *         Integer m;
 *         List L;
 *
 *      m = length(L,i1,i2,....,in)
 *         Integer m;
 *         List L;
 *         Integer i1,i2,...,in;
 *
 *  【機能説明】
 *      X が(行列|配列|指数)のとき，length(X)は X の行と列の長い方の数を
 *      返す。str が文字列のとき，length(str)は文字列の長さを返す。
 *      L がリストのとき，length(L)はリストの成分の数を返す。
 *      L が多段リストのとき，length(L,i1,i2,..,in)は，n 段目のリスト
 *      の成分の数を返す。
 *
 *  【例題】
 *      >> X = [1 2 3];
 *      >> m = length(X)
 *      m = 3
 *      >> X = [[1 2 3][4 5 6]];
 *      >> m = length(X)
 *      m = 3
 *      >> m = length("Hello")
 *      m = 5
 *      >> m = length({1, [1], "hello"})
 *      m = 3
 *      >> m = length({{1,2,3},{4,5}}, 2)
 *      m = 2
 *
 *  【関連項目】
 *      Rows(), size(), Cols()
 */
