
/*  -*- MaTX -*-
 *
 *  【名前】
 *      max() - 最大値
 *
 *  【形式】
 *      i = max(X)       x = max(X)              z = max(X)
 *         Integer i;       Real x;                 Complex z;
 *         Index X;         (Matrix|Array) X;       (CoMatrix|CoArray) X;
 *
 *      k = max(i,j)      k = max(i,j)    k = max(i,j)    k = max(i,j)
 *         Integer k;        Real k;         Real k;         Real k;
 *         Intger i, j;      Intger i;       Real i;         Real i;
 *                           Real j;         Integer j;      Real j;
 *
 *      z = max(i,j)
 *         Complex z;
 *         Complex i, j;
 *
 *      P = max(X,Y)
 *         (Matrix|Array|Index) P;
 *         (Matrix|Array|Index) X,Y;
 *
 *
 *  【機能説明】
 *      X が指数のとき，max(X) は成分の最大値を整数で返す。
 *      X が(行列|配列)のとき，max(X) は成分の最大値を返す。
 *      X が複素(行列|配列)のとき，max(X) は絶対が最大値の成分を返す。
 *
 *      i と j が整数のとき，max(i,j)は i と j の大きい方を返す。
 *      i または j が実数のとき，max(i,j)は i と j の大きい方を実数で返す。
 *      i と j が複素数のとき，max(i,j)は i と j の絶対値が大きい方を返す。
 *
 *	    P = max(X,Y)は，(行列|配列|指数) X と Y の各成分に max(X(i,j), Y(i,j))
 *      を作用した結果からなる (行列|配列|指数) を求める。P の大きさは X の
 *      大きさと同じになる。
 *
 *  【例題】
 *      >> x = max([[1, -2][3, 0]])
 *      x = 3
 *      >> z = max([(1,2), (3,4)])
 *      z = (3,4)
 *      >> k = max(3,2)
 *      k = 3
 *      >> x = max(3.14, 2)
 *      x = 3.14
 *      >> z = max((1,2),(3,4))
 *      z = (3,4)
 *      >> P = max([1 0 3], [2 4 1])
 *      === [P] : (  1,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  2.00000000E+00  4.00000000E+00  3.00000000E+00
 *
 *  【関連項目】
 *      min(), max_col(), max_row(), maximum()
 */
