
/*  -*- MaTX -*-
 *
 *  【名前】
 *      minsing() - 最小特異値
 *
 *  【形式】
 *      x = minsing(A)
 *         Real x;
 *         Matrix A;
 *
 *  【機能説明】
 *      x = minsing(A)は，行列 A の最小特異値を求める。行列 A は正方
 *      行列でも非正方行列でもよい。
 *
 *  【アルゴリズム】
 *      文献 1 のアルゴリズムを使う。
 *
 *  【注意】
 *      繰り返し計算で特異値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> A = [[1 2 3][4 5 6]];
 *      >> x = minsing(A)
 *      x = 0.77287
 *
 *  【関連項目】
 *      svd(), singval(), singleftvec(), singrightvec(), maxsing()
 *
 *  【参考文献】
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
