
/*  -*- MaTX -*-
 *
 *  【名前】
 *      pause - プログラムを停止する
 *
 *  【形式】
 *      pause;
 *
 *      pause message;
 *          String message;
 *
 *      pause time;
 *          Real time;
 *
 *      pause message, time;
 *          String message;
 *          Real time;
 *
 *  【機能説明】
 *      pause を引数無しで使用すると，何かキーが入力されるまで停止する。
 *      文字列を引数にすると，その文字列が表示される。停止する時間(秒)で
 *      指定できる。
 *
 *      Windowsではミリ秒単位で，usleep()関数をもつUNIXではマイクロ秒
 *      単位で時間が測定される。それ以外のOSでは，time()関数やgetrusage()
 *      関数で可能な間隔で時間が測定される。
 *
 *  【例題】
 *      pause;
 *      pause "Hit Any Key\ttBS{}n";
 *      pause 1.0;
 *      pause "Hello", 3.0;
 *
 *  【関連項目】
 *      getch()
 */
