
/*  -*- MaTX -*-
 *
 *  【名前】
 *      poles() - 有理多項式の分母多項式の根(伝達関数の極)
 *
 *  【形式】
 *      p = poles(G)
 *         CoMatrix p;
 *         Rational G;
 *
 *  【機能説明】
 *      poles(G)は，有理多項式 G の分母多項式 De(G) = 0 の根を求める。
 *      これは，伝達関数が G で表されるシステムの極に対応する。
 *
 *  【例題】
 *      >> s = Polynomial("s");
 *      >> G = (s+1)/(s^2+2*s+3); 
 *      >> p = poles(G)
 *      === [p] : (  2,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1) -1.00000000E+00  1.41421356E+00
 *      (  2) -1.00000000E+00 -1.41421356E+00
 *
 *  【関連項目】
 *     zeros(), eigval()
 */
