
/*  -*- MaTX -*-
 *
 *  【名前】
 *      printf() - 書式化したデータを標準出力に出力
 *
 *  【形式】
 *      i = printf(format, ...)
 *         Integer i;
 *         String format;
 *
 *  【機能説明】
 *      printf(format, ...)は，format で指定した書式で標準出力にデータ
 *      を書き込む。整数型，実数型，文字列型のデータを出力できる。
 *
 *      書式は，C 言語の関数 printf() の書式と同じものを指定する。
 *      すなわち，普通の文字(アルファベット，数字，エスケープ文字)
 *      あるいは変換を表す文字列を指定する。エスケープ文字には次の
 *      ものがある。
 *
 *      \a : 警告(ベルなど)     \v : 垂直タブ
 *      \b : バックスペース     \\ : バックスラッス
 *      \f : 改ページ           \' : アポストロフィ
 *      \n : 復帰改行           \" : 二重引用符
 *      \r : 復帰               \? : 疑問符
 *      \t : 水平タブ
 *      
 *      変換を表すには，パーセント % ，フィールド幅(オプション)，変換文字
 *      を指定する。変換文字には，次の文字がある。
 *
 *      %d, %u, %o, %x, %X, %i  : 整数型
 *      %e, %E, %f, %g, %G      : 実数型
 *      %c, %s                  : 文字列型
 *
 *      printf() は，変換して出力したデータの数を返す。
 *
 *      fprintf(1, format, ...) は printf(format, ...) と等しい。
 *
 *  【例題】
 *      printf() でデータを画面に出力。
 *
 *      printf("%d %f %s", 10, 3.1415, "Hello");
 *  
 *  【関連項目】
 *      fprintf, scanf
 */
