
/*  -*- MaTX -*-
 *
 *  【名前】
 *      prod_col() - 列毎の成分の積
 *
 *  【形式】
 *      Y = prod_col(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      prod_col(X)は，列毎に成分の積を求め，行ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，prod_col(X) は
 *      全ての成分の積を求める。
 *
 *  【例題】
 *      >> Y = prod_col([[1 2][3 4]])
 *      === [Y] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  3.00000000E+00  8.00000000E+00
 *      >> Y = prod_col([1 3])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  3.00000000E+00
 *
 *  【関連項目】
 *      sum_col(), prod(), prod_row()
 */
