
/*  -*- MaTX -*-
 *
 *  【名前】
 *      prod_row() - 行毎の成分の積
 *
 *  【形式】
 *      Y = prod_row(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      prod_row(X)は，行毎に成分の積を求め，列ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，prod_row(X) は
 *      全ての成分の積を求める。
 *
 *  【例題】
 *      >> Y = prod_row([[1 2][3 4]])
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  2.00000000E+00
 *      (  2)  1.20000000E+01
 *      >> Y = prod_row([[1][3]])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  3.00000000E+00
 *
 *  【関連項目】
 *      sum_row(), prod(), prod_col()
 */
