
/*  -*- MaTX -*-
 *
 *  【名前】
 *      read - データの入力およびファイルからの読み込み
 *
 *  【形式】
 *      read var1, ..., varn;
 *         リスト以外の任意の型 var1, ..., varn;
 *
 *      read var1, ..., varn <- file;
 *         任意の型 var1, ..., varn;
 *         String file;
 *
 *      read A << file;
 *         (Matrix|CoMatrix) A;
 *         String file;
 *
 *  【機能説明】
 *      read var1, ..., varn は，キーボードからリスト以外の任意の型の
 *      変数 var1, ..., varn を入力する。
 *
 *      read var1, ..., varn <- file は，MX-データフォーマットのファイル
 *      file からデータを読み込み，変数 var1, ..., varn に代入する。
 *      拡張子は通常 .mx を用いる。拡張子は省略可能である。
 *      MX-データフォーマットのファイルにはシステム(CPUやOS)の情報も
 *      同時に保存されるので，アーキテクチャの異なるシステムで保存された
 *      データでも読み込むことができる。
 * 
 *      インタプリタの場合，read <- file のようにファイルだけを指定すると，
 *      ファイルに保存されている全てのデータが保存されたときと同じ名前の
 *      変数に読み込まれる。
 *
 *      read A << file は，MAT-データフォーマットのファイル file から
 *      実行列または複素行列のデータを読み込み，変数 A に代入する。
 *
 *  【例題】
 *      >> read a, b, c, d <- "data.mx";
 *      >> read c << "c.mat";
 *
 *  【関連項目】
 *      print
 */
