
/*  -*- MaTX -*-
 *
 *  【名前】
 *      rotateDown() - 全ての行を下方向へ回転する
 *
 *  【形式】
 *      Y = rotateDown(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = rotateDown(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      rotateDown(X)は，行列型(行列|配列|指数) X の全ての行を下方向へ
 *      1 回転した行列を作る。一番下の行は一番上に移動する。
 *
 *      rotateDown(X,k)は，下方向へ k 回転する。
 *
 *  【例題】
 *      >> Y = rotateDown([[1 2][3 4][5 6]])
 *      === [Y] : (  3,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  5.00000000E+00  6.00000000E+00
 *      (  2)  1.00000000E+00  2.00000000E+00
 *      (  3)  3.00000000E+00  4.00000000E+00
 *
 *  【関連項目】
 *      shiftDown(), rotateUp(), rotateLeft(), rotateRight()
 */

