
/*  -*- MaTX -*-
 *
 *  【名前】
 *      shiftRight() - 全ての列を右方向へシフトする
 *
 *  【形式】
 *      Y = shiftRight(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = shiftRight(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      shiftRight(X)は，行列型(行列|配列|指数) X の全ての列を右方向へ
 *      1 列シフトした行列を作る。一番左の列は，ゼロになる。
 *
 *      shiftRight(X,k)は，右方向へ k 行シフトする。
 *
 *  【例題】
 *      >> Y = shiftRight([[1 2 3][4 5 6]])
 *      === [Y] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  0.00000000E+00  1.00000000E+00  2.00000000E+00
 *      (  2)  0.00000000E+00  4.00000000E+00  5.00000000E+00
 *
 *  【関連項目】
 *      rotateRight(), shiftUp(), shiftLeft(), shiftDown()
 */

