
/*  -*- MaTX -*-
 *
 *  【名前】
 *      shiftUp() - 全ての行を上方向へシフトする
 *
 *  【形式】
 *      Y = shiftUp(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = shiftUp(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      shiftUp(X)は，行列型(行列|配列|指数) X の全ての行を上方向へ
 *      1 行シフトした行列を作る。一番下の行は，ゼロになる。
 *
 *      shiftUp(X,k)は，上方向へ k 行シフトする。
 *
 *  【例題】
 *      >> Y = shiftUp([[1 2][3 4][5 6]])
 *      === [Y] : (  3,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  3.00000000E+00  4.00000000E+00
 *      (  2)  5.00000000E+00  6.00000000E+00
 *      (  3)  0.00000000E+00  0.00000000E+00
 *
 *  【関連項目】
 *      rotateUp(), shiftDown(), shiftLeft(), shiftRight()
 */

