
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sin() - 正弦
 *
 *  【形式】
 *      y = sin(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = sin(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      sin(x)は，スカラ型(整数, 実数, 複素数) x の正弦を求める。
 *      角度はラジアンで計算される。
 *	    sin(X)は，配列 X の各成分の正弦からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じになる。
 *
 *  【アルゴリズム】
 *      i = (0,1)
 *      sin(z) = (exp(i*z) - exp(-i*z))/(2*i)
 *
 *  【例題】
 *      >> y = sin(0.5)
 *      y = 0.479426
 *
 *      範囲 -PI <= x <= PI のsin(x)のグラフを表示する。
 *
 *      >> x = [-PI:0.05:PI];
 *      >> mgplot(1, x, sin(x), {"sin(x)"});
 *
 *  【関連項目】
 *      cos(), tan(), asin(), exp()
 */
