
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket+_open() - ソケットをオープンする
 *
 *  【形式】
 *      sd = socket_open(type)
 *         String type;
 *
 *  【機能説明】
 *      socket_open(type)は，文字列 type で指定したタイプのソケットを
 *      オープンする。オープンに成功すると正の整数(ソケットディスクリプタ)，
 *      オープンに失敗すると負の整数を返す。
 *
 *      type = "TCP" のとき，コネクション型ソケットが作成され，プロトコルは
 *      TCP が選択される。type = "UDP" のとき，コネクションレス型の
 *      ソケットが作成され，プロトコルは UDP が選択される。
 *
 *      ソケットディスクリプタは，ファイルディスクリプタと同様に扱え，
 *      fprintf() や fscanf() の第 1 引数に指定できる。以後，ソケット
 *      ディスクリプタによってソケットを指定する。fprintf() で出力した
 *      データは，接続したプロセスのソケットに送られ，そのプロセスが
 *      ソケットに出力したデータは fscanf() で入力できる。不要になった
 *      ソケットは socket_close() で閉じる。
 *
 *  【例題】
 *      コネクション型のソケットを作成する。
 *
 *      if ((sd = socket_open("TCP")) < 0) {
 *        error("Can't open socket for TCP\n");
 *      }
 *      socket_close(sd);
 *
 *      コネクションレス型のソケットを作成する。
 *
 *      if ((sd = socket_open("UDP")) < 0) {
 *        error("Can't open socket for UDP\n");
 *      }
 *      socket_close(sd);
 *
 *  【関連項目】
 *      socket_close, socket_bind
 */
