
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_sendto() - メッセージをソケットに送信する
 *
 *  【形式】
 *      i = socket_sendto(sd, port, host, mess)
 *         Integer i;
 *         Integer sd;
 *         Integer port;
 *         String host;
 *         String mess;
 *
 *  【機能説明】
 *      socket_sendto(sd, port, host, mess)は，サーバ host のポート番号
 *      宛の文字列 mess をコネクションレス型で作成されたソケット sd に
 *      送信する。host には，IPアドレス(例: "111.222.33.44") または
 *      ホスト名(例: "www.matx.org")を文字列で指定する。
 *
 *      送信に成功すると送信されたバイト数，失敗すると負の整数が返される。
 *
 *  【例題】
 *      コネクションレス型のソケットを作成し，ソケットに文字列 "hello" 
 *      を送信する。
 *
 *      sd = socket_open("UDP");
 *      socket_bind(sd);
 *      socket_sendto(sd, port, "server", "hello");
 *
 *  【関連項目】
 *      socket_open, socket_bind, socket_recvfrom
 */
