
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sscanf() - 文字列から書式付きでデータを取り出す
 *
 *  【形式】
 *      L = sscanf(str, format)
 *         List L;
 *         String str;
 *         String format;
 *
 *  【機能説明】
 *      sscanf(str, format)は，文字列 str から format で指定した
 *      書式でデータを取り出し，データからなるリストを返す。
 *      整数型，実数型，文字列型のデータを読み込める。
 *
 *      書式は，C 言語の関数 scanf() の書式と同じものを指定する。
 *      変換を表すには，パーセント % ，フィールド幅(オプション)，
 *      変換文字を指定する。変換文字には，次の文字がある。
 *
 *      %d             : 整数型
 *      %e, %E, %f, %g : 実数型
 *                     : (%lf 等は倍精度, %hf 等は単精度)
 *      %s             : 文字列型
 *
 *  【例題】
 *      str = "10 3.1415 Hello";
 *      {a, b, c} = sscanf(str, "%d %lf %s");
 *  
 *  【関連項目】
 *      fscanf, scanf
 */
