
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sum_col() - 列毎の成分の和
 *
 *  【形式】
 *      Y = sum_col(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      sum_col(X)は，列毎に成分の和を求め，行ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，sum_col(X) は
 *      全ての成分の和を求める。
 *
 *  【例題】
 *      >> Y = sum_col([[1 2][3 4]])
 *      === [Y] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  4.00000000E+00  6.00000000E+00
 *      >> Y = sum_col([1 3])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  4.00000000E+00
 *
 *  【関連項目】
 *      sum(), sum_row()
 */
