
/*  -*- MaTX -*-
 *
 *  【名前】
 *      trans() - 転置
 *
 *  【形式】
 *      y = trans(x)
 *         (Integer|Real|Complex|Polynomial|Rational) y;
 *         (Integer|Real|Complex|Polynomial|Rational) x;
 *
 *      Y = trans(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      スカラー型(整数|実数|複素数|多項式|有理多項式) x について，
 *      trans(x)は x 自身になる。
 *
 *	    trans(X)は，(行列|配列|指数) X の転置 X' を求める。
 *
 *  【例題】
 *      >> y = trans(3.14)
 *      y = 3.14
 *      >> y = trans((3.14, 2.6))
 *      y = (3.14, 2.6)
 *      >> s = Polynomial("s");
 *      >> y = trans((1,3)*s + (2,4))
 *      y = (1,3) s + (2,4)
 *      >> Y = trans([(1,2), (3,4)])
 *      === [Y] : (  2,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1)  1.00000000E+00  2.00000000E+00
 *      (  2)  3.00000000E+00  4.00000000E+00
 *
 *  【関連項目】
 *      conjtrans(), conj()
 */
