
/*  -*- MaTX -*-
 *
 *  【名前】
 *      zeros() - 有理多項式の分子多項式の根(伝達関数の零点)
 *
 *  【形式】
 *      z = zeros(G)
 *         CoMatrix z;
 *         Rational G;
 *
 *  【機能説明】
 *      zeros(G)は，有理多項式 G の分子多項式 Nu(G) = 0 の根を求める。
 *      これは，伝達関数が G で表されるシステムの零点に対応する。
 *
 *  【例題】
 *      >> s = Polynomial("s");
 *      >> G = (s+1)/(s^2+2*s+3); 
 *      >> z = zeros(G)
 *      === [z] : (  1,  1) ===
 *             [ (  1)-Real      (  1)-Imag ]
 *      (  1) -1.00000000E+00  0.00000000E+00
 *
 *  【関連項目】
 *      poles(), eigval()
 */
